Package org.apache.uima.util

# Class TCasToInlineXml

java.lang.Object
org.apache.uima.util.TCasToInlineXml

All Implemented Interfaces:
  `TCasFormatter`

@Deprecated public class TCasToInlineXml extends Object implements TCasFormatter
Deprecated.
As of v2.0, use `CasToInlineXml` instead.
Generates an inline XML representation of a CAS. Annotation types are represented as XML tags, features are represented as attributes. Note that features whose values are FeatureStructures are not represented.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TCasToInlineXml()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Deprecated.
  `String`
  `format(CAS aCAS)`
  Deprecated.
  Produces a string representation of a CAS.
  `String`
  `format(CAS aCAS, FSMatchConstraint aFilter)`
  Deprecated.
  Produces a string representation of a CAS.
  `String`
  `generateXML(CAS aCAS)`
  Deprecated.
  `String`
  `generateXML(CAS aCAS, FSMatchConstraint aFilter)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TCasToInlineXml

    public TCasToInlineXml()
    Deprecated.

- ## Method Details

  - ### destroy

    public void destroy()
    Deprecated.

  - ### format

    public String format(CAS aCAS) throws CASException
    Deprecated.
    Description copied from interface: `TCasFormatter`
    Produces a string representation of a CAS.
    Specified by:
      `format` in interface `TCasFormatter`
    Parameters:
      `aCAS` - the CAS to be formatted
    Returns:
      a string representation of `aCAS`.
    Throws:
      `CASException` - if an exception occurs reading from the CAS

  - ### format

    public String format(CAS aCAS, FSMatchConstraint aFilter) throws CASException
    Deprecated.
    Description copied from interface: `TCasFormatter`
    Produces a string representation of a CAS. Only those feature structures that satisfy the specified filter will appear in the string representation.
    Specified by:
      `format` in interface `TCasFormatter`
    Parameters:
      `aCAS` - the CAS to be formatted
      `aFilter` - a constraint which FeatureStructures must satisfy in order to be included in the resulting string
    Returns:
      a string representation of `aCAS`.
    Throws:
      `CASException` - if an exception occurs reading from the CAS

  - ### generateXML

    public String generateXML(CAS aCAS) throws CASException
    Deprecated.
    Throws:
      `CASException`

  - ### generateXML

    public String generateXML(CAS aCAS, FSMatchConstraint aFilter) throws CASException
    Deprecated.
    Throws:
      `CASException`